/****************************************************************************
*
*                   SciTech Multi-platform Graphics Library
*
*  ========================================================================
*
*   Copyright (C) 1991-2004 SciTech Software, Inc. All rights reserved.
*
*   This file may be distributed and/or modified under the terms of the
*   GNU General Public License version 2.0 as published by the Free
*   Software Foundation and appearing in the file LICENSE.GPL included
*   in the packaging of this file.
*
*   Licensees holding a valid Commercial License for this product from
*   SciTech Software, Inc. may use this file in accordance with the
*   Commercial License Agreement provided with the Software.
*
*   This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING
*   THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR
*   PURPOSE.
*
*   See http://www.scitechsoft.com/license/ for information about
*   the licensing options available and how to purchase a Commercial
*   License Agreement.
*
*   Contact license@scitechsoft.com if any conditions of this licensing
*   are not clear to you, or you have questions about licensing options.
*
*  ========================================================================
* Language:     C++ 3.0
* Environment:  any
*
* Description:  Header file for the class ExplanationWindow, a class for
*               displaying the explanation information about the current
*               demo at the bottom of the display. It also contains the
*               speed buttons to move forwards or backwards through the
*               demos.
*
****************************************************************************/

#ifndef __EXPLWIND_HPP
#define __EXPLWIND_HPP

#include "mvis/mdialog.hpp"
#include "mvis/msttext.hpp"

/*-------------------------- Class definitions ----------------------------*/

//---------------------------------------------------------------------------
// The ExplanationWindow class is a special MVDialog class used to display
// information about the current demo, and to handle the speed buttons.
//---------------------------------------------------------------------------

class ExplanationWindow : public MVDialog {
protected:
    MVMultiLineText *explanation;   // Text for the explanation

public:
            // Constructor
            ExplanationWindow(MGLDevCtx& dc,const MVRect& bounds);

            // Method handle events
    virtual void handleEvent(MVEvent& event,phaseType phase = phFocused);
    };

#endif  // __EXPLWIND_HPP
